%define biname nginx-redirector

Name: nginx-redirector
Version: 0.1.4
Release: alt1

Summary: CLI-utility for building nginx redirects

License: ISC
Group: Networking/WWW
Url: https://gitlab.eterfund.ru/eterfund/nginx-redirector

Packager: Eugene Omelyanovich <regatio@etersoft.ru>

# Source-git: https://gitlab.eterfund.ru/eterfund/nginx-redirector.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-intro
BuildRequires(pre): rpm-build-python3

# for test
BuildRequires: python3-module-pyinotify
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-yaml
BuildArch: noarch

%description
NGINX redirector:
* redirector <.yaml file> <.map file> - generate .conf and .map files for redirects for nginx

* redirector-watch <file-to-watch> - set inotify watchdog for this file and renew .map and .conf files for this project when

* redirector-convert <.htaccess file> <.map file> - convert .htaccess to .map file

* redirector-config --show - show all current config.ini data

%prep
%setup

%build
%python3_build

%install
%python3_install
mkdir -p %buildroot/var/lib/%biname/location-includes
mkdir -p %buildroot/var/lib/%biname/maps
mkdir -p %buildroot/etc/%biname

%files
/usr/bin/%biname
/usr/bin/%biname-watch
/usr/bin/%biname-convert

/var/lib/%biname/location-includes/
/var/lib/%biname/maps/
/etc/%biname/


%python3_sitelibdir/*


%changelog
* Tue Mar 01 2022 Pablo Soldatoff <soldatoff@etersoft.ru> 0.1.3-alt1
- new version

* Wed Nov 03 2021 Pablo Soldatoff <soldatoff@etersoft.ru> 0.1.2-alt1
- new version

* Mon Jul 27 2020 Eugene Omelyanovich <regatio@etersoft.ru> 0.1.1-alt1
- new version

