import unittest
from redirector.tests.utils import get_abs_path

from redirector.htaccess_parser import *


class EqualHtaccessReaderTest(unittest.TestCase):
    def setUp(self):
        self.reader = HtaccessReader()

    def test_equal_map(self):
        abs_test_path = get_abs_path('test.map')

        test_file = open(abs_test_path, 'r')
        test_lines_array = []

        for line in test_file:
            if len(line) > 2 or not line.startswith('#'):
                test_lines_array.append(line)

        test_file.close()

        abs_htaccess_path = get_abs_path('.htaccess')
        abs_convert_path = get_abs_path('convertation.map')

        self.reader.read_htaccess(abs_htaccess_path, abs_convert_path)

        convert_file = open(abs_convert_path, 'r')
        convert_lines_array = []

        for line in convert_file:
            convert_lines_array.append(line)

        convert_file.close()

        self.assertEqual(test_lines_array, convert_lines_array)

